読者です 読者をやめる 読者になる 読者になる

らくがきちょう

なんとなく

vSphere 6.5 に VIRL をデプロイ出来ない…? → 出来た!

Cisco VIRL VMware

(2016/12/25 追記)vSphere 6.5 に VIRL をデプロイ出来ました。後半に追記。

vSphere 上で VIRL を使う場合、通常は .ova ファイルをデプロイするだけです。しかし、vSphere 6.5 になってからは VIRL 1.2.64 であっても、1.2.83 であっても、いずれにしても「56:50:PARSE_ERROR: Unexpected/mixed content.」というエラーが出てしまい、.ova ファイルをデプロイ出来ません…

f:id:sig9:20161223023213p:plain

フォーラムに Has anyone installed VIRL on ESXi 6.5? というスレッドがあるのですが、こちらの書き込みによると上手くデプロイ出来ているように読めます??

I was able to install VIRL on VMware ESXi 6.5. Worked fine and was able to license it without any issues initially. After running the software updater, I lost the ability to click with the mouse. Maybe VMware Tools needs to be updated for 6.5. In the meantime I am able use VM Maestro from the client workstation.

今のところ Installing VIRL using the vSphere Web Client には下記のように書かれており、6.5 の記載は(まだ)ありません。

VIRL for ESXi is delivered as an Open Virtualization Format (OVF/OVA) virtual machine.  Deployment requires one of the following minimum ESXi versions and builds:

  • ESXi 5.1U2 (Build 1483097)
  • ESXi 5.5U1 (Build 1623387)
  • ESXi 6.0 (Build 2494585)

「vSphere 6.5 + VIRL」が動作しないことが私の環境特有の問題なのか、それとも一般的な問題なのか、切り分け出来ていないのですが、早く問題解決して VIRL を使いたいです…orz

デプロイ出来ました!(2016/12/25 追記)

vSphere 6.5 であっても(vCSA からはではなく)VMware Host Client からであれば VIRL 1.8.23 をデプロイ出来ました!

Cisco VIRL だけでなく、BIG-IP のトライアル版も vCSA からデプロイ出来ませんでした。BIG-IP トライアル版の場合、vCSA からデプロイしようとすると「証明書を検証出来ない」というエラーになってしまい、先に進めません(=デプロイ出来ません)。しかし、こちらも VMware Host Client からであればデプロイ出来ました。